Skip site navigation (1) Skip section navigation (2)

Re: [INTERFACES] Can;t connect to db with pgaccess

From: Constantin Teodorescu <teo(at)flex(dot)ro>
To: Stan Brown <stanb(at)awod(dot)com>, PostgreSQL Interfaces <pgsql-interfaces(at)postgresql(dot)org>
Subject: Re: [INTERFACES] Can;t connect to db with pgaccess
Date: 1998-12-29 07:52:58
Message-ID: 36888A5A.CD1CCBA8@flex.ro (view raw or flat)
Thread:
Lists: pgsql-interfaces
Stan Brown wrote:
> 
>         Downloaded the latest pgacess. Looks pretty neat. Unfortunatley it will
>         not connect to my 6.3 database. Thinking that it might be a
>         cnfiguration problem on this database (it has bee in service  for over
>         a year now). I donwloade the Debian package, and set up a test database
>         on the Debian box. Still mo go.

PgAccess 0.93 will work fine on PostgreSQL 6.4 and higher.
Due to some enhancements made in libpgtcl, there is another option to
pg_result (-error) that does not exist in PosgreSQL 6.3.x

So, in order to make PgAccess 0.93 work with PostgreSQL 6.3.x you should
:

replace in procedure wpg_exec the following line:

set pgsql(errmsg) [pg_result $pgsql(res) -error]

with this one :

set pgsql(errmsg) "NO ERROR INFORMATION SUPPLIED"

And it will work fine! In some error cases, you will not get the
appropriate error message from libpgtcl.

Best wishes for the next year,


-- 
Constantin Teodorescu
FLEX Consulting Braila, ROMANIA

In response to

pgsql-interfaces by date

Next:From: Peter T MountDate: 1998-12-29 10:32:38
Subject: Re: [INTERFACES] jdbc getTableName, getCatalog, etc.
Previous:From: Batdelger RegsurenDate: 1998-12-29 07:35:16
Subject: howto

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group